Subject: bug#66115: [PATCH] Ensure that directory is expanded in package-vc-checkout

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Nov 2023 12:17:04 +0200

> From: Joseph Turner <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> Date: Sun, 19 Nov 2023 14:16:39 -0800
> 
> Philip Kaludercic <[email-masked]> writes:
> 
> > Joseph Turner <[email-masked]> writes:
> >
> >> Eli Zaretskii <[email-masked]> writes:
> >>
> >>>> Cc: [email-masked]
> >>>> Date: Sat, 23 Sep 2023 22:34:24 -0700
> >>>> From:  Joseph Turner via "Bug reports for GNU Emacs,
> >>>>  the Swiss army knife of text editors" <[email-masked]>
> >>>>
> >>>> It appears that the fix was applied to master. Would it make sense to
> >>>> apply it to emacs-29?
> >>>
> >>> The installed change affects much more than the original issue, so I'd
> >>> prefer for it to stay on master.
> >>>
> >>> I'm okay with installing the original patch on emacs-29, but be sure
> >>> to say "do not merge to master" in the commit log message if you do.
> >>
> >> Philip, shall we merge the original patch on emacs-29 with "do not merge
> >> to master"?
> >
> > I don't object.
> 
> Would you be willing to merge the attached patch?

I tried, but it doesn't apply to emacs-29.  Would you please submit a
change relative to the emacs-29 branch?

TIA